felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bram de Kruijff (Created) (JIRA)" <j...@apache.org>
Subject [jira] [Created] (FELIX-3267) Unable to resolve cause wired to two revisions of same bundle
Date Mon, 12 Dec 2011 14:52:31 GMT
Unable to resolve cause wired to two revisions of same bundle
-------------------------------------------------------------

                 Key: FELIX-3267
                 URL: https://issues.apache.org/jira/browse/FELIX-3267
             Project: Felix
          Issue Type: Bug
          Components: Framework
    Affects Versions: framework-4.0.2
         Environment: Felix Framework 4.0.2
Apache Maven 2.2.1 (r801777; 2009-08-06 21:16:01+0200)
Java version: 1.7.0_01
Java home: c:\Program Files\Java\jdk1.7.0_01\jre
Default locale: en_US, platform encoding: Cp1252
OS name: "windows 7" version: "6.1" arch: "amd64" Family: "windows"
            Reporter: Bram de Kruijff


Ran into the issue below where the resolver fails to resolve (or at least choose) from two
revisions of javax.ws.rs from the same exporting bundle. I can not readily reproduce it, but
th msg clearly show it happend. Quickly talked it over with Karl and decided to log the issue
here:

Two things to note are:
1) The bundles get updates (udring) framework startup from fileinstall (maybe some kind of
race condition.
2) The bundel exporting the packages has a cyclic package thing going on (attached manifests)


{quote}
org.osgi.framework.BundleException: Uses constraint violation. Unable
to resolve bundle revision org.amdatu.web.rest.wink [21.1] because it
is exposed to package 'javax.ws.rs' from bundle revisions
org.amdatu.web.rest.jaxrs [18.1] and org.amdatu.web.rest.jaxrs [18.0]
via two dependency chains.

Chain 1:
 org.amdatu.web.rest.wink [21.1]
   import: (&(osgi.wiring.package=javax.ws.rs)(version>=1.1.0)(!(version>=2.0.0)))
    |
   export: osgi.wiring.package=javax.ws.rs
 org.amdatu.web.rest.jaxrs [18.1]

Chain 2:
 org.amdatu.web.rest.wink [21.1]
   import: (&(osgi.wiring.package=javax.ws.rs.ext)(version>=1.1.0)(!(version>=2.0.0)))
    |
   export: osgi.wiring.package=javax.ws.rs.ext; uses:=javax.ws.rs
   export: osgi.wiring.package=javax.ws.rs
 org.amdatu.web.rest.jaxrs [18.0]
-> refresh
{quote}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message